package com.migao.controller;

import com.migao.config.response.ResponseBean;
import com.migao.service.DemandAttachmentService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author dingsong
 */
@Api(tags = "008.需求库附件模快")
@RestController
@RequestMapping("/DemandAttachment")
public class DemandAttachmentController {
    @Resource
    DemandAttachmentService demandAttachmentService;

    @ApiOperation("删除附件")
    @PostMapping(value = "/deleteById")
    public ResponseBean<?> deleteById(@RequestParam String id){
        return demandAttachmentService.deleteById(id);
    }
}
